#include <stdio.h>
#include <dos.h>

int main(void)
{
   int address_port = 0x2e;
   int data_port = 0x2f;
   int value;

   outportb(address_port,0x87); //Unlock W83627HF
   outportb(address_port,0x87);

   outportb(address_port,0x07); // Select Register of watchdog timer
   outportb(data_port,0x08);

   outportb(address_port,0x30); // Enable the function of watchdog timer
   outportb(data_port,0x01);

   outportb(address_port,0xf5); // Enable the WDTO# output
   value = inportb(data_port);
   value = value | 0x02;
   outportb(data_port, value);

   outportb(address_port,0xf7); // Enable watchdog timer to be reset by keyboard\
   value = inportb(data_port);  // and enable the WDTO# output
   value = value | 0x40;
   outportb(data_port, value);

   outportb(address_port,0xaa); // Lock W83627HF

   printf("The Watchdog timer to be reset by keyboard\n");
   return 0;
}