#include <stdio.h>
#include <dos.h>

int main(void)
{
   int address_port = 0x2e;
   int data_port = 0x2f;
   int value;

   outportb(address_port,0x87); //Unlock W83627HF
   outportb(address_port,0x87);

   outportb(address_port,0x07); // Select Register of watchdog timer
   outportb(data_port,0x08);

   outportb(address_port,0x30); // Enable the function of watchdog timer
   outportb(data_port,0x01);

   outportb(address_port,0xf5); // Set minute as counting unit
   value = inportb(data_port);  // and enable the WDTO# output
   value = value | 0x08;
   value = value | 0x02;
   outportb(data_port, value);

   outportb(address_port,0xf6); // Set timeout interval as 5 minute
   outportb(data_port,0x05);    // and start counting

   outportb(address_port,0xaa); // Lock W83627HF

   printf("The Timer was Set as 5 min. System will reset\n");
   return 0;
}